Bug 1288606 - Split library from binary to drop unnecessary dependencies.
Split library from binary to drop unnecessary dependencies.
Status: CLOSED ERRATA
Product: Fedora
Classification: Fedora
Component: sqlite (Show other bugs)
rawhide
Unspecified Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Jan Staněk
Fedora Extras Quality Assurance
: FutureFeature, Reopened
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2015-12-04 12:36 EST by Vít Ondruch
Modified: 2016-03-22 04:27 EDT (History)
6 users (show)

See Also:
Fixed In Version: sqlite-3.11.0-1.fc23 sqlite-3.11.0-2.fc23
Doc Type: Enhancement
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2016-02-26 14:21:54 EST
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
Split library from binary to drop unnecessary dependencies (1.75 KB, patch)
2015-12-04 12:36 EST, Vít Ondruch
no flags Details | Diff

  None (edit)
Description Vít Ondruch 2015-12-04 12:36:12 EST
Created attachment 1102342 [details]
Split library from binary to drop unnecessary dependencies

Description of problem:
The sqlite library is widely used, but the sqlite3 binary, which is included in the package, is rarely used (I never used it personally, although using sqlite for my projects). What is more important, it pulls in dependencies such as readline and ncurses. Therefore I suggest to split the library from the binary, into separate subpackage. This might for some cases save 2MB of data for download as well as on disk.


Version-Release number of selected component (if applicable):
$ rpm -q sqlite
sqlite-3.9.0-1.fc24.x86_64


How reproducible:


Steps to Reproduce:
1.
2.
3.

Actual results:


Expected results:


Additional info:
Comment 1 Vít Ondruch 2015-12-04 12:42:09 EST
Just FTR, Debian has the library and binary in separate packages as well:

https://packages.debian.org/source/stretch/sqlite3
Comment 2 Jan Staněk 2016-02-08 11:40:31 EST
Package with the requested split is now built in rawhide. If nothing breaks within a few days, I will propagate this change to branched Fedoras.
Comment 3 Fedora Update System 2016-02-17 06:56:59 EST
spatialite-tools-4.3.0-9.fc23 sqlite-3.11.0-1.fc23 has been submitted as an update to Fedora 23. https://bodhi.fedoraproject.org/updates/FEDORA-2016-990c070b19
Comment 4 Fedora Update System 2016-02-17 06:56:59 EST
spatialite-tools-4.2.0-20.fc22 sqlite-3.11.0-1.fc22 has been submitted as an update to Fedora 22. https://bodhi.fedoraproject.org/updates/FEDORA-2016-b37af739e7
Comment 5 Fedora Update System 2016-02-17 17:22:35 EST
spatialite-tools-4.2.0-20.fc22, sqlite-3.11.0-1.fc22 has been pushed to the Fedora 22 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2016-b37af739e7
Comment 6 Fedora Update System 2016-02-17 17:31:25 EST
spatialite-tools-4.3.0-9.fc23, sqlite-3.11.0-1.fc23 has been pushed to the Fedora 23 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2016-990c070b19
Comment 7 Rex Dieter 2016-02-20 18:29:49 EST
Multilib upgrade path is broken, to fix this introduce into main and -libs subpkgs:

Obsoletes: sqlite < 3.11.0
Comment 8 Fedora Update System 2016-02-21 07:57:20 EST
spatialite-tools-4.3.0-9.fc23, sqlite-3.11.0-1.fc23 has been pushed to the Fedora 23 stable repository. If problems still persist, please make note of it in this bug report.
Comment 9 Rex Dieter 2016-02-21 08:11:10 EST
Re-opening, see comment #7, the split library implementation is not yet complete
Comment 10 Fedora Update System 2016-02-21 11:18:04 EST
spatialite-tools-4.3.0-9.fc23, sqlite-3.11.0-1.fc23 has been pushed to the Fedora 23 stable repository. If problems still persist, please make note of it in this bug report.
Comment 11 Fedora Update System 2016-02-21 11:24:15 EST
spatialite-tools-4.3.0-9.fc23, sqlite-3.11.0-1.fc23 has been pushed to the Fedora 23 stable repository. If problems still persist, please make note of it in this bug report.
Comment 12 Hannes Frederic Sowa 2016-02-22 08:21:55 EST
Reopened again after Fedora Update System automatically closed the bug after Rex reopened it. I agree, this update probably misses a obsoletes-tag.
Comment 13 Fedora Update System 2016-02-23 10:34:50 EST
spatialite-tools-4.2.0-20.fc22 sqlite-3.11.0-2.fc22 has been submitted as an update to Fedora 22. https://bodhi.fedoraproject.org/updates/FEDORA-2016-b37af739e7
Comment 14 Fedora Update System 2016-02-23 10:40:39 EST
sqlite-3.11.0-2.fc23 has been submitted as an update to Fedora 23. https://bodhi.fedoraproject.org/updates/FEDORA-2016-850f410498
Comment 15 Rex Dieter 2016-02-23 12:02:05 EST
fyi, there's no point in adding both Conflicts and Obsoletes,

Obsoletes: %{name} < 3.11.0-1
Conflicts: %{name} < 3.11.0-1

only the Obsoletes is needed here
Comment 16 Fedora Update System 2016-02-25 05:53:39 EST
spatialite-tools-4.2.0-20.fc22, sqlite-3.11.0-2.fc22 has been pushed to the Fedora 22 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2016-b37af739e7
Comment 17 Fedora Update System 2016-02-25 21:25:57 EST
sqlite-3.11.0-2.fc23 has been pushed to the Fedora 23 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2016-850f410498
Comment 18 Fedora Update System 2016-02-26 14:21:44 EST
sqlite-3.11.0-2.fc23 has been pushed to the Fedora 23 stable repository. If problems still persist, please make note of it in this bug report.
Comment 19 Fedora Update System 2016-03-22 04:27:23 EDT
sqlite-3.11.0-2.fc22 has been submitted as an update to Fedora 22. https://bodhi.fedoraproject.org/updates/FEDORA-2016-b37af739e7

Note You need to log in before you can comment on or make changes to this bug.